Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.tools.toolHistory({
toolId: 217978,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.tools.tool_history(tool_id=217978, page=0, limit=25)
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/tools/{tool_id}/history \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/tools/{tool_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"tool_id": 123,
"version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"operation": "<string>",
"service_id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"definition": {
"tool": {
"function": {
"name": "<string>",
"description": "<string>",
"parameters": "<unknown>"
},
"type": "function"
},
"type": "endpoint",
"endpoint": {
"url": "<string>",
"timeout": 45
},
"context": {
"task": {
"id": "<string>",
"config": {},
"variables": [
{
"name": "<string>",
"value": "<unknown>",
"valueFrom": "inputs.provided_dob == patient_dob",
"description": "<string>",
"title": "<string>",
"format": "<string>",
"pattern": "<string>",
"enum": [
"<string>"
],
"examples": [
"<unknown>"
]
}
],
"metadata": {
"priority": 123
},
"tool": {
"name": "<string>",
"description": "<string>"
},
"type": "expression",
"version": "v1alpha",
"inputs": [
{
"name": "<string>",
"description": "<string>",
"title": "<string>",
"format": "<string>",
"pattern": "<string>",
"enum": [
"<string>"
],
"examples": [
"<unknown>"
],
"required": true
}
],
"expression": "inputs.can_sign_consent == `true`",
"output": null,
"on": {
"start": [
{
"name": "<string>",
"value": "<unknown>",
"valueFrom": "inputs.provided_dob == patient_dob",
"if": "inputs.can_sign_consent == `true`",
"action": "set"
}
],
"submit": [
{
"name": "<string>",
"value": "<unknown>",
"valueFrom": "inputs.provided_dob == patient_dob",
"if": "inputs.can_sign_consent == `true`",
"action": "set"
}
]
}
}
},
"defaults": "<unknown>",
"static_parameters": [
{
"default": "fahrenheit",
"description": "Whether the temperature information should be fetched in Celsius or Fahrenheit",
"name": "temperature_unit",
"required": false,
"type": "string"
}
],
"result": "<unknown>",
"options": {
"propagate_tool_result": false
}
},
"comments": "Adjusted timeout",
"deleted_reason": "No longer used",
"service_name": "Weather API"
}
],
"page": 123,
"page_size": 123,
"total_pages": 4,
"total_count": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}tools
Tool History
Get version history for a tool.
GET
/
api
/
v1
/
tools
/
{tool_id}
/
history
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.tools.toolHistory({
toolId: 217978,
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.tools.tool_history(tool_id=217978, page=0, limit=25)
# Handle response
print(res)Authorizations
Path Parameters
Query Parameters
Page number (0-based)
Required range:
x >= 0Items per page
Required range:
1 <= x <= 100Sort by oldest first (asc) or newest first (desc). Version 1 is always the oldest.
Available options:
asc, desc Response
Successful Response
List of items returned from the query
Show child attributes
Show child attributes
The page number of the results (0-based)
Example:
0
The number of items returned per page
Example:
25
The total number of pages of results given the indicated page size
Example:
4
The total number of items returned from the query
Example:
100
⌘I

